#!/bin/bash
echo "=========================================";
echo "======Le VPN configuration update========";
echo "=========================================";
echo "====Please enter your macOS password:===="
sudo find ~/Library/Application\ Support/Tunnelblick/Configurations -type f -name \*.ovpn > updatedconfigs.txt;
sudo find /Library/Application\ Support/Tunnelblick/Shared -type f -name \*.ovpn >> updatedconfigs.txt;
while read -r filename
do
if sudo grep -q gZ8wDQYJKoZIhvcNAQEBBQADgY0AMIGJAoGBALWEPaHQHKB5dPNxYkJxmX66wuxy "$filename"; then
echo "Changing config $filename"
sudo sed -i '' "/<ca>/,/<\/ca>/d" "$filename";
sudo sed -i '' "/<cert>/,/<\/cert>/d" "$filename";
sudo sed -i '' "/<key>/,/<\/key>/d" "$filename";
sudo sed -i '' 's/cipher AES-256-CBC/cipher AES-128-GCM/g' "$filename";
sudo sed -i '' 's/comp-lzo/compress lzo/g' "$filename";
sudo sed -i ''  '/disable-occ/d' "$filename";
sudo sed -i ''  '/auth-nocache/d' "$filename";
echo "disable-occ
auth-nocache
<ca>
-----BEGIN CERTIFICATE-----
MIIDbDCCAtWgAwIBAgIJALE0qcAiY8O9MA0GCSqGSIb3DQEBBQUAMIGBMQswCQYD
VQQGEwJGUjEWMBQGA1UECBMNSWxlLWRlLUZyYW5jZTEOMAwGA1UEBxMFUGFyaXMx
ETAPBgNVBAoTCExlVlBOLmZyMQswCQYDVQQLEwJDQTELMAkGA1UEAxMCQ0ExHTAb
BgkqhkiG9w0BCQEWDmFkbWluQGxldnBuLmZyMB4XDTEwMTEwNjE4MTkzM1oXDTIw
MTEwMzE4MTkzM1owgYExCzAJBgNVBAYTAkZSMRYwFAYDVQQIEw1JbGUtZGUtRnJh
bmNlMQ4wDAYDVQQHEwVQYXJpczERMA8GA1UEChMITGVWUE4uZnIxCzAJBgNVBAsT
AkNBMQswCQYDVQQDEwJDQTEdMBsGCSqGSIb3DQEJARYOYWRtaW5AbGV2cG4uZnIw
gZ8wDQYJKoZIhvcNAQEBBQADgY0AMIGJAoGBALWEPaHQHKB5dPNxYkJxmX66wuxy
Lu9kMY0RbzH/uvq+f8D/RbpBdNg6Qk/Z0slmLNEj6vvBTLlHH3C/1A4b21EpivSZ
otZMDd5JRbMjATrfQvqg/+7rMxV8IlnxV1hljds+JyD2jXVMULS5wAvETvuSnMHl
nv+svamr2zS7Mvt/AgMBAAGjgekwgeYwHQYDVR0OBBYEFLTSEV8Qe3kxzWjx1bsW
MVitva1kMIG2BgNVHSMEga4wgauAFLTSEV8Qe3kxzWjx1bsWMVitva1koYGHpIGE
MIGBMQswCQYDVQQGEwJGUjEWMBQGA1UECBMNSWxlLWRlLUZyYW5jZTEOMAwGA1UE
BxMFUGFyaXMxETAPBgNVBAoTCExlVlBOLmZyMQswCQYDVQQLEwJDQTELMAkGA1UE
AxMCQ0ExHTAbBgkqhkiG9w0BCQEWDmFkbWluQGxldnBuLmZyggkAsTSpwCJjw70w
DAYDVR0TBAUwAwEB/zANBgkqhkiG9w0BAQUFAAOBgQAoANScd5uP+Uf53rCLKjFg
cGJ6+A196Rx0cZ+E4SMQKyZXy+J7BBQtqpYH+29i3+VR34nfOY+IHJRRSAKOzlEI
3rWpQEv35PdPBKynn+HDm86TWhHKe0oB9+BG6H4Rpz/7BrfwUUkN83kmyELItNQP
4qutc52ZrkobVPkCrfDIUA==
-----END CERTIFICATE-----
-----BEGIN CERTIFICATE-----
MIIFPDCCAySgAwIBAgIUORA9z483dzWOx81ANAaZx3Sc+U0wDQYJKoZIhvcNAQEN
BQAwETEPMA0GA1UEAwwGTGUgVlBOMB4XDTIwMDgyNzEzMDkzOFoXDTQwMDgyMjEz
MDkzOFowETEPMA0GA1UEAwwGTGUgVlBOMIICIjANBgkqhkiG9w0BAQEFAAOCAg8A
MIICCgKCAgEA16Tw/Xyn38+EHcNfF7HLjaDp5/44CgUJ+6kqhp/dayZzK1Fz7P8b
JbiQjVFuGO5A7o/xawVeRUbnEDDgbHnalnLVLn+Tzn8hib8msOAIwEP3su0SgEM5
Lm3g+ALtGOMIJ3/bkMJ5xv77oyD+GODo2EeMtx8nJ42VffYtjlb0zyNUphuzX7s1
qG2c4ugCpBpaDEiRLVlys3/4IQz+tEpRWaqMrivUJqUPDglGsr4AZTBfcSsL/wzq
z56mIi1cQbmXvoDKjLLYrpjTDdFLyZZiIoRyCjGD6HvYvQa1897YJo9UnAwUXy3d
N9LqaAsVS7tWeBgsCoSt9/EmgYnTMpn6p4oHrc6btjt6TGmY2Xic46azs6xsND3Q
jGYro+8lRPCgQawQr1YWGNtcI6sM8Vf9HBmy2yEZPZvJgoN8GTDUMqIwLdT3sGh3
02lxHbt/HJrRdfwPdI1/r3Z+QcGNpH9clM8bcT1OARuvwh8UFv6E+D9DUu++FBHN
cePHO/XC2awe6z8ZoZbDD3KAcJhldMTiK9GtUc7lf8WPs4PNI9tIV3gQWh+6sEaf
5NNTJgomEVdkroemcIcKz+n8U3WMGx0gTUi2LVaQu0EXI0hDXa0jzMrz9fykoVkk
SNPRiXUXRZt25LhVSEyStY3aLOGVa66OTbvYd8ThrqatzIRhlzdNhpECAwEAAaOB
izCBiDAdBgNVHQ4EFgQU9/ZhdQZJsZnvsFLlRn/BQ8bsE58wTAYDVR0jBEUwQ4AU
9/ZhdQZJsZnvsFLlRn/BQ8bsE5+hFaQTMBExDzANBgNVBAMMBkxlIFZQToIUORA9
z483dzWOx81ANAaZx3Sc+U0wDAYDVR0TBAUwAwEB/zALBgNVHQ8EBAMCAQYwDQYJ
KoZIhvcNAQENBQADggIBAKghRDzoQc2iBu9op3WX4soMXFkfoSm6sodaoDim6A3x
6Q4dadLlS9//a0jBEHxZnBG3oFOBW9ysVrDMHeR31OI8LIgVu6vPE3Xx02PXV1OX
afRwoc4sLTSH9br+vPX/mL58ZiS+C3VcLu1jvU03Kq+uVaeTdHfkIddOHC7352pF
msf+R0XMIzYi1Wm6D013jfNEL+KYve+u0LFePCCsk0htAecccNsLT5W2MUg+03t5
jg/VT9NH7SLf72P+Tlq4I7ONZudx/Pdjq0pzsJX66U//KX7/dfot+jUT1BUz3T9u
GPqh1dVBQKPP3rezkXvNR90yoq989Hb6SWrb2FxnuMN2bl9KZkyYzLpjHqGlWtGr
g5TqOuSpEpVN0pjtrt9OdbpYETVlrgJaxszJ6WHp5P20guVVWWL6685cJOD0crGE
fZVRTkFRWtsa5Tfe036e20wIPUIzdbqwvGsXODMNEePX4Zj9NWWNnJnBeA/uhmsv
wyq4sTcjASeMR2pkspJRVX1O27ECK0k1hNcMcdE4DOP/f5kDlIPqA5UXMAOvfUsH
nmbbKv2pGvMuni7UWnPvBkB/HxJXS+402QwZt3IUhNgcCXP56a0sIJfAJu3x80U2
ybmBPny26JtUc6alPaNK3YemZTt4h17oep1SYuhbDox/OH6uGzccYSRU88cy1cyF
-----END CERTIFICATE-----
</ca>" | sudo tee -a "$filename" > /dev/null
fi
done < ./updatedconfigs.txt;
#sudo rm updatedconfigs.txt
echo "=========================================";
echo "======Configuration update completed====="
echo "=========================================";
echo "=========================================";
echo "======You can now close this window======"
echo "=========================================";

